package net.wanji.databus.dao.mapper;

import net.wanji.databus.dao.entity.BaseCrossDirInfoPO;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author hanbing
 * @date 2023/1/12 13:24
 * @desc CrossInfoMapper
 */
@Repository
public interface BaseCrossDirInfoMapper {

    List<Integer> selectInDirsByCrossId(String endCrossId);

    BaseCrossDirInfoPO selectByCrossIdAndDirType(String crossId, Integer key);

    List<BaseCrossDirInfoPO> selectByCrossId(String crossId);
}
