package net.wanji.databus.dao.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import net.wanji.databus.po.BaseCrossInfoPO;
import net.wanji.databus.po.TBaseCrossInfo;
import net.wanji.databus.vo.CrossDeviceStatusInfoOutVO;
import net.wanji.databus.vo.CrossInfoVO;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author hfx
 * @date 2023/1/12 13:24
 * @desc CrossInfoMapper
 */
@Repository
public interface BaseCrossInfoMapper extends BaseMapper<TBaseCrossInfo> {

    /**
     * 查询路口列表信息
     * @param
     * @return
     */
//    List<CrossInfoPO> listCrossInfo(CrossQuery query);

    List<BaseCrossInfoPO> selectByCrossIds(List<String> ids);

    BaseCrossInfoPO selectById(String crossId);

    List<BaseCrossInfoPO> selectByName(String name);

    List<BaseCrossInfoPO> selectAll();

    int deleteByPrimaryKey(String id);

    @Override
    int insert(TBaseCrossInfo record);

    int insertSelective(TBaseCrossInfo record);

    TBaseCrossInfo selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(TBaseCrossInfo record);

    int updateByPrimaryKey(TBaseCrossInfo record);

    List<BaseCrossInfoPO> selectAll(CrossInfoVO crossInfoVO);

    Integer countSelectAll(CrossInfoVO crossInfoVO);

    List<CrossDeviceStatusInfoOutVO> listCrossDeviceStatusInfo();
}
