package net.wanji.databus.dao.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import net.wanji.databus.po.CrossDataHistPO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

/**
 * @author duanruiming
 * @date 2023/03/10 20:06
 */
@Mapper
public interface CrossDataHistMapper extends BaseMapper<CrossDataHistPO> {
    void insertBatch(@Param("list") List<CrossDataHistPO> list);
    void deleteBatch(@Param("list") Collection<String> crossIds);

    List<CrossDataHistPO> selectByCrossIdAndTimestamp(String crossId, long preSeconds);

}
