package net.wanji.databus.dao.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import net.wanji.databus.po.CrossDataRealtimePO;
import net.wanji.databus.vo.AbnormalCrossListVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

/**
 * @author duanruiming
 * @date 2023/03/10 20:06
 */
@Mapper
public interface CrossDataRealtimeMapper extends BaseMapper<CrossDataRealtimePO> {
    void insertBatch(@Param("list") List<CrossDataRealtimePO> list);

    void deleteBatch(@Param("list") Collection<String> crossIds);

    List<AbnormalCrossListVO> selectAbnormalCross(Integer status, String name, Integer type);

    CrossDataRealtimePO selectByCrossId(String crossId);
}
