package net.wanji.databus.dao.mapper;

import net.wanji.databus.dao.entity.BaseCrossSchemePO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/11/16 17:28
 */
public interface CrossSchemeMapper {
    void insertBatch(@Param("entities") List<BaseCrossSchemePO> baseCrossSchemePOList);

    void insertOne(BaseCrossSchemePO baseCrossSchemePO);

    void deleteOne(@Param("crossId") String crossId, @Param("patternNo") String patternNo);

    BaseCrossSchemePO selectByCrossIdAndSchemeNo(@Param("crossId") String crossId,
                                                 @Param("schemeNo") Integer schemeNo);

    List<BaseCrossSchemePO> selectByCrossId(@Param("crossId") String crossId);

    void deleteByCrossId(String crossId);
}
